<?php
namespace ModulesAbstract\ElectronicInvoice\Encryption;

/**
 * Basic class, uses str_rot13 in order to do the encryption
 * DO NOT USE THIS FOR REAL ENCRYPTION
 */
class Rot13 extends EncryptionAbstract
{
    /**
     * Do the actual encryption
     *
     * @param string $data
     * @return string, array
     */
    public function encrypt($data)
    {
        return [str_rot13($data), []];
    }

    /**
     * Do the actual decryption
     *
     * @param string $encryptedData
     * @param array $params
     * @return string
     */
    public function decrypt($encryptedData, $params = [])
    {
        return str_rot13($encryptedData);
    }

}
